# Python code and Jupyter notebooks accompanying the paper

> Christian Ghiaus (2022) Computational psychrometric analysis as a control problem: case of cooling and dehumidification systems, *International Journal of Building Performance Simulation*, 15(1), pp. 21-38, [DOI: 10.1080/19401493.2021.1995498](https://doi.org/10.1080/19401493.2021.1995498) (open access preprint [hal-03484064](https://hal.science/hal-03484064/document))


**Contents**

- `cool.py` Python module implementing the psychrometric analysis described in the paper.
- `cool_fig.py` Python module for interactive figures presented in the paper.
- `psychro.py` Python module for psycrhrometric calculations.
- `cool_fig_06.ipynb` Figure 6 from section *5.1. Control of indoor air temperature & humidity in CAV systems with reheating*.
- `cool_fig_08.ipynb` Figure 8 from section *5.2. Control of indoor air temperature in CAV systems without reheating*.
- `cool_fig_10.ipynb` Figure 10 from section *6.1.1. Mix-air bypass control of indoor air temperature & humidity in CAV systems*.
- `cool_fig_12.ipynb` Figure 12 from section *6.2.1. Control of indoor air temperature and humidity in VAV systems without reheating*.
- `cool_fig_14.ipynb` Figure 14 from section *6.2.2. Control of supply and indoor air temperatures in VAV systems without reheating*.
- `cool_fig_16.ipynb` Figure 16 from section *6.2.3. Control of indoor air temperature and humidity and of supply air temperature in VAV systems with reheating*.


**Instructions**

To experiment with `cool_fig_*.ipynb` notebooks:
- Run the *Jupyter* notebooks by clicking the double arrow icon `>>` or by selecting from the pull-down menu: `Kernel / Restart Kernel & Run All Cells...` then by clicking: `Restart`.
- Change the values of the widgets for the psychrometric representations presented in the paper.

The notebooks can be run interactively on mybinder.org (click the button below).

[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/cghiaus/PsychroAn_cool/HEAD)


**Licence**

Creative Commons Attribution 4.0 International (CC BY 4.0).
